Download it now!
Bug 44988 - EasyHack: tools: remove obsolete BOOTSTRAP defines ...
Summary: EasyHack: tools: remove obsolete BOOTSTRAP defines ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: difficultyBeginner, easyHack, skillCpp, topicCleanup
Depends on:
Blocks:
 
Reported: 2012-01-20 05:59 UTC by Michael Meeks
Modified: 2015-12-15 16:27 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Meeks 2012-01-20 05:59:11 UTC
the tools/ code has a good number of legacy:

#ifndef BOOTSTRAP

defines, that (presumably) date from a time when it didn't depend on sal/ - nowadays it does un-conditionally.

So we should clean all those out, 'BOOTSTRAP' is never defined, so just remove all: #ifndef BOOTSTRAPS and their matching #endifs.
Comment 1 Korrawit Pruegsanusak 2012-01-24 02:53:36 UTC
Done by Thomas Collerton => fixed

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7735b09b5e10e366ffb3a156790316ea0ccfa0a0
Comment 2 Robinson Tryon (qubit) 2015-12-15 16:27:29 UTC
Migrating Whiteboard tags to Keywords: (EasyHack,DifficultyBeginner,SkillCpp,TopicCleanup)
[NinjaEdit]